## net.sf.saxon.event
Class MessageEmitter

    java.lang.Object
      net.sf.saxon.event.Emitter
          net.sf.saxon.event.XMLEmitter
              net.sf.saxon.event.MessageEmitter

All Implemented Interfaces:
  javax.xml.transform.Result, Receiver

    public class MessageEmitter

extends XMLEmitter

MessageEmitter is the default Receiver for xsl:message output. It is the same as XMLEmitter except for an extra newline at the end of the message

Field Summary

Fields inherited from class net.sf.saxon.event.XMLEmitter
`declarationIsWritten, elementCode, elementStack, empty, openStartTag, preferHex, undeclareNamespaces`

Fields inherited from class net.sf.saxon.event.Emitter
`allCharactersEncodable, characterSet, namePool, outputProperties, outputStream, pipelineConfig, streamResult, systemId, writer`

Constructor Summary
`MessageEmitter()`

Method Summary
`void` `close()` End of the document.
`void` `endDocument()` Notify the end of a document node

Methods inherited from class net.sf.saxon.event.XMLEmitter
`attribute, characters, closeStartTag, comment, emptyElementTagCloser, endElement, getCachedName, namespace, open, openDocument, outputCharacterReference, processingInstruction, putCachedName, startContent, startDocument, startElement, testCharacters, writeAttribute, writeCharSequence, writeDeclaration, writeDocType, writeEscape`

Methods inherited from class net.sf.saxon.event.Emitter
`getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getSystemId, getWriter, makeWriter, setOutputProperties, setOutputStream, setPipelineConfiguration, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageEmitter

    public MessageEmitter()

Method Detail

### endDocument

    public void endDocument()
                     throws XPathException

  Description copied from class: `XMLEmitter`
  Notify the end of a document node

  Specified by:
    `endDocument` in interface `Receiver`
  Overrides:
    `endDocument` in class `XMLEmitter`
  Throws:
    `XPathException`

### close

    public void close()
               throws XPathException

  Description copied from class: `XMLEmitter`
  End of the document.

  Specified by:
    `close` in interface `Receiver`
  Overrides:
    `close` in class `XMLEmitter`
  Throws:
    `XPathException`

Copyright (c) Saxonica Limited. All rights reserved.